VERSION 5.00
Begin VB.Form mainform 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Instant Art"
   ClientHeight    =   8910
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   11910
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8910
   ScaleWidth      =   11910
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton clearknop 
      Caption         =   "Clear"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   1335
   End
   Begin VB.CommandButton exitknop 
      Cancel          =   -1  'True
      Caption         =   "Quit"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "mainform"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Xpos(99) As Single, Ypos(99) As Single
Private red(99) As Integer, green(99) As Integer, blue(99) As Integer
Dim drawing As Boolean
Const parts = 40

Private Sub clearknop_Click()
 Cls
End Sub

Private Sub exitknop_Click()
 End
End Sub

Private Sub Form_Load()
 Dim rstep As Single, gstep As Single, bstep As Single, z As Integer
 Randomize Timer
  
 r = Rnd * 255: g = Rnd * 255: b = Rnd * 255
 
 rstep = (r - 255) / parts: gstep = (g - 255) / parts: bstep = (b - 255) / parts
 For z = 0 To parts - 1
  red(z) = 255 + z * rstep
  green(z) = 255 + z * gstep
  blue(z) = 255 + z * bstep
 
  Xpos(z) = (mainform.Width / 15) / 2
  Ypos(z) = (mainform.Height / 15) / 2
 Next z
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
 drawing = True
 
 r = Rnd * 255: g = Rnd * 255: b = Rnd * 255
 rstep = (r - 255) / parts
 gstep = (g - 255) / parts
 bstep = (b - 255) / parts
 
 For z = 0 To parts - 1
  red(z) = 255 + z * rstep
  green(z) = 255 + z * gstep
  blue(z) = 255 + z * bstep
  
  Xpos(z) = X / 15: Ypos(z) = Y / 15
 Next z
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
 Dim xstep As Single, ystep As Single
 Dim a As Integer, b As Integer, z As Integer 'lusvars
 
 If drawing = True Then
   newx = X / 15: newy = Y / 15
   
   If Xpos(0) < newx Then xstep = (newx - Xpos(0)) / 20
   If Xpos(0) > newx Then xstep = (Xpos(0) - newx) / 20
   If Ypos(0) < newy Then ystep = (newy - Ypos(0)) / 20
   If Ypos(0) > newy Then ystep = (Ypos(0) - newy) / 20
  
   For b = 1 To 20
    For z = 1 To parts - 1
     If Xpos(z) > Xpos(z - 1) Then Xpos(z) = Xpos(z) - (Xpos(z) - Xpos(z - 1)) / 4
     If Xpos(z) < Xpos(z - 1) Then Xpos(z) = Xpos(z) + (Xpos(z - 1) - Xpos(z)) / 4
     If Ypos(z) > Ypos(z - 1) Then Ypos(z) = Ypos(z) - (Ypos(z) - Ypos(z - 1)) / 4
     If Ypos(z) < Ypos(z - 1) Then Ypos(z) = Ypos(z) + (Ypos(z - 1) - Ypos(z)) / 4
     Line (Xpos(z - 1) * 15, Ypos(z - 1) * 15)-(Xpos(z) * 15, Ypos(z) * 15), RGB(red(z), green(z), blue(z))
    Next z
    If Xpos(0) < newx Then Xpos(0) = Xpos(0) + xstep
    If Xpos(0) > newx Then Xpos(0) = Xpos(0) - xstep
    If Ypos(0) < newy Then Ypos(0) = Ypos(0) + ystep
    If Ypos(0) > newy Then Ypos(0) = Ypos(0) - ystep
   Next b
  End If
End Sub
Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
 drawing = False
End Sub
